Subject: bug#43593: 27.1; `customize-set-variable': wrong prompt for Boolean value

From: Drew Adams <[email-masked]>
Date: Thu, 24 Sep 2020 11:14:39 -0700 (PDT)

> FWIW, I see no problem here, and would understand immediately what is
> meant.  We do this kind of "translation" of boolean values a'll the
> time in Customize.  Let's keep in mind that Customize is for users
> that aren't Lisp programmers, so we don't want to request them to know
> what Lisp boolean data looks like.

I understand what you're saying.  I don't agree that
it's clear now for a user.

If the prompt said something like this it would be
clearer:

 Set customized value for bar to true (y) or false (n): (y or n)

It's wrong to suggest that this is about setting
the value to `y' or `n'.

And users are used to "(y or n)" being used primarily
(almost exclusively) for confirming something.

I think the (ab)use of the `y-or-n-p' UI is unhelpful
here (misleading, unclear).